Subject: is it kosher for pre-commit to change what's staged?

From: Joey Hess <[email-masked]>
Date: Wed, 10 Nov 2010 13:08:19 -0400

I've noticed that if I make a pre-commit hook change the files that are
staged, those changes are not reflected in the commit message. For
example, if a pre-commit hook git add's somefile, the commit message
won't reflect that. I guess prepare-commit-msg is being run before
pre-commit for some reason?

-- 
see shy jo